## serna-free 0.svn270

=== 3rd/jade/jade/Makefile ===

#############################################################################
# Makefile for building jade
# Generated by tmake at 14:28, 1999/10/06
#     Project: jade
#    Template: ../pro/japp
#############################################################################

####### Compiler, tools and options

CC	=	egcs
CXX	=	eg++
CFLAGS	=	-pipe -O2 -fno-strength-reduce
CXXFLAGS=	-DSTDC_HEADERS=1 \
-DHAVE_LIMITS_H=1 -DHAVE_ST_BLKSIZE=1 -O2 -fno-strength-reduce
INCPATH	=	-I../style -I../grove -I../spgrove -I../sp -I../generic
LINK	=	eg++ -pthread
LFLAGS	=	
LIBS	=	-L../libs -lgrove -lspgrove -lstyle -L../libs -lsp
MOC	=	moc

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	HtmlFOTBuilder.h \
		HtmlMessages.h \
		JadeMessages.h \
		MifFOTBuilder.h \
		MifMessages.h \
		RtfFOTBuilder.h \
		RtfMessages.h \
		RtfOle.h \
		SgmlFOTBuilder.h \
		TeXFOTBuilder.h \
		TeXMessages.h \
		TmpOutputByteStream.h \
		TransformFOTBuilder.h
SOURCES =	HtmlFOTBuilder.cxx \
		MifFOTBuilder.cxx \
		RtfFOTBuilder.cxx \
		RtfOle.cxx \
		SgmlFOTBuilder.cxx \
		TeXFOTBuilder.cxx \
		TransformFOTBuilder.cxx \
		jade.cxx
OBJECTS =	HtmlFOTBuilder.o \
		MifFOTBuilder.o \
		RtfFOTBuilder.o \
		RtfOle.o \
		SgmlFOTBuilder.o \
		TeXFOTBuilder.o \
		TransformFOTBuilder.o \
		jade.o
SRCMOC	=	
OBJMOC	=	
DIST	=	
TARGET	=	jade

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: $(TARGET)

$(TARGET): $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

moc: $(SRCMOC)

tmake:
	tmake jade.pro

dist:
	$(TAR) jade.tar jade.pro $(SOURCES) $(HEADERS) $(DIST)
	$(GZIP) jade.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(TARGET)
	-rm -f *~ core

####### Compile

HtmlFOTBuilder.o: HtmlFOTBuilder.cxx \
		HtmlFOTBuilder.h \
		HtmlMessages.h \
		HtmlFOTBuilder_inst.cxx

MifFOTBuilder.o: MifFOTBuilder.cxx \
		MifFOTBuilder.h \
		MifMessages.h \
		TmpOutputByteStream.h \
		MifFOTBuilder_inst.cxx

RtfFOTBuilder.o: RtfFOTBuilder.cxx \
		RtfFOTBuilder.h \
		TmpOutputByteStream.h \
		RtfMessages.h \
		RtfOle.h \
		RtfFOTBuilder_inst.cxx

RtfOle.o: RtfOle.cxx \
		RtfOle.h

SgmlFOTBuilder.o: SgmlFOTBuilder.cxx \
		SgmlFOTBuilder.h

TeXFOTBuilder.o: TeXFOTBuilder.cxx \
		TeXFOTBuilder.h \
		TeXMessages.h \
		TmpOutputByteStream.h \
		TeXFOTBuilder_inst.cxx

TransformFOTBuilder.o: TransformFOTBuilder.cxx \
		TransformFOTBuilder.h \
		TransformFOTBuilder_inst.cxx

jade.o: jade.cxx \
		SgmlFOTBuilder.h \
		RtfFOTBuilder.h \
		TeXFOTBuilder.h \
		TransformFOTBuilder.h \
		HtmlFOTBuilder.h \
		MifFOTBuilder.h \
		JadeMessages.h
