=== 3rd/jade/sgmlnorm/Makefile ===

#############################################################################
# Makefile for building sgmlnorm
# Generated by tmake at 14:28, 1999/10/06
#     Project: sgmlnorm
#    Template: ../pro/japp
#############################################################################

####### Compiler, tools and options

CC	=	egcs
CXX	=	eg++
CFLAGS	=	-pipe -O2 -fno-strength-reduce
CXXFLAGS=	-DSTDC_HEADERS=1 \
-DHAVE_LIMITS_H=1 -DHAVE_ST_BLKSIZE=1 -O2 -fno-strength-reduce
INCPATH	=	-I../sp -I../generic
LINK	=	eg++ -pthread
LFLAGS	=	
LIBS	=	-L../libs -lsp
MOC	=	moc

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	SGMLGenerator.h
SOURCES =	SGMLGenerator.cxx \
		sgmlnorm.cxx
OBJECTS =	SGMLGenerator.o \
		sgmlnorm.o
SRCMOC	=	
OBJMOC	=	
DIST	=	
TARGET	=	sgmlnorm

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: $(TARGET)

$(TARGET): $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

moc: $(SRCMOC)

tmake:
	tmake sgmlnorm.pro

dist:
	$(TAR) sgmlnorm.tar sgmlnorm.pro $(SOURCES) $(HEADERS) $(DIST)
	$(GZIP) sgmlnorm.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(TARGET)
	-rm -f *~ core

####### Compile

SGMLGenerator.o: SGMLGenerator.cxx \
		SGMLGenerator.h

sgmlnorm.o: sgmlnorm.cxx \
		SGMLGenerator.h
