=== 3rd/jade/style/Makefile ===

#############################################################################
# Makefile for building libstyle.so.1.3
# Generated by tmake at 14:28, 1999/10/06
#     Project: style
#    Template: ../pro/jlib
#############################################################################

####### Compiler, tools and options

CC	=	egcs
CXX	=	eg++
CFLAGS	=	-pipe -O2 -fno-strength-reduce -fPIC
CXXFLAGS=	-DSTDC_HEADERS=1 \
-DHAVE_LIMITS_H=1 -DHAVE_ST_BLKSIZE=1 -O2 -fno-strength-reduce -fPIC
INCPATH	=	-I../grove -I../spgrove -I../sp -I../generic
LINK	=	eg++ -pthread
LFLAGS	=	-shared
LIBS	=	
AR	=	ar cqs
RANLIB	=	
MOC	=	moc

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	../include/*.h \
		Collector.h \
		DssslApp.h \
		DssslAppMessages.h \
		DssslSpecEventHandler.h \
		ELObj.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Expression.h \
		FOTBuilder.h \
		GroveManager.h \
		Insn.h \
		Insn2.h \
		Interpreter.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		NumberCache.h \
		Pattern.h \
		ProcessContext.h \
		ProcessingMode.h \
		SchemeParser.h \
		SosofoObj.h \
		Style.h \
		StyleEngine.h \
		VM.h \
		charNames.h \
		dsssl_ns.h \
		jade_version.h \
		primitive.h \
		sdata.h \
		style_pch.h \
		stylelib.h
SOURCES =	Collector.cxx \
		DssslApp.cxx \
		DssslSpecEventHandler.cxx \
		ELObj.cxx \
		ELObjMessageArg.cxx \
		Expression.cxx \
		FOTBuilder.cxx \
		FlowObj.cxx \
		GroveManager.cxx \
		InheritedC.cxx \
		Insn.cxx \
		Interpreter.cxx \
		InterpreterMessages.cxx \
		MacroFlowObj.cxx \
		NumberCache.cxx \
		Pattern.cxx \
		ProcessContext.cxx \
		ProcessingMode.cxx \
		SchemeParser.cxx \
		Style.cxx \
		StyleEngine.cxx \
		common_inst.cxx \
		primitive.cxx \
		style_inst.cxx \
		stylelib.cxx
OBJECTS =	Collector.o \
		DssslApp.o \
		DssslSpecEventHandler.o \
		ELObj.o \
		ELObjMessageArg.o \
		Expression.o \
		FOTBuilder.o \
		FlowObj.o \
		GroveManager.o \
		InheritedC.o \
		Insn.o \
		Interpreter.o \
		InterpreterMessages.o \
		MacroFlowObj.o \
		NumberCache.o \
		Pattern.o \
		ProcessContext.o \
		ProcessingMode.o \
		SchemeParser.o \
		Style.o \
		StyleEngine.o \
		common_inst.o \
		primitive.o \
		style_inst.o \
		stylelib.o
SRCMOC	=	
OBJMOC	=	
DIST	=	
TARGET	=	libstyle.so.1.3
TARGETA	=	../libs/libstyle.a
TARGETD	=	libstyle.so.1.3
TARGET0	=	libstyle.so
TARGET1	=	libstyle.so.1

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: ../libs/libstyle.so.1.3

../libs/libstyle.so.1.3: $(OBJECTS) $(OBJMOC) 
	-rm -f $(TARGET) $(TARGET0) $(TARGET1)
	$(LINK) $(LFLAGS) -o $(TARGETD) $(OBJECTS) $(OBJMOC) $(LIBS)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-rm -f ../libs/$(TARGET)
	-rm -f ../libs/$(TARGET0)
	-rm -f ../libs/$(TARGET1)
	-mv $(TARGET) $(TARGET0) $(TARGET1) ../libs/

staticlib: $(TARGETA)

$(TARGETA): $(OBJECTS) $(OBJMOC) 
	-rm -f $(TARGETA)
	$(AR) $(TARGETA) $(OBJECTS) $(OBJMOC)

moc: $(SRCMOC)

tmake:
	tmake style.pro

dist:
	$(TAR) style.tar style.pro $(SOURCES) $(HEADERS) $(DIST)
	$(GZIP) style.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(TARGET)
	-rm -f $(TARGET0) $(TARGET1) $(TARGETA)
	-rm -f *~ core

####### Compile

Collector.o: Collector.cxx \
		Collector.h

DssslApp.o: DssslApp.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h \
		DssslAppMessages.h \
		jade_version.h

DssslSpecEventHandler.o: DssslSpecEventHandler.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h

ELObj.o: ELObj.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h

ELObjMessageArg.o: ELObjMessageArg.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h

Expression.o: Expression.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h

FOTBuilder.o: FOTBuilder.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h

FlowObj.o: FlowObj.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h \
		FlowObj_inst.cxx

GroveManager.o: GroveManager.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h

InheritedC.o: InheritedC.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h

Insn.o: Insn.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h

Interpreter.o: Interpreter.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h \
		charNames.h \
		sdata.h

InterpreterMessages.o: InterpreterMessages.cxx \
		InterpreterMessages.h

MacroFlowObj.o: MacroFlowObj.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h

NumberCache.o: NumberCache.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h

Pattern.o: Pattern.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h

ProcessContext.o: ProcessContext.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h

ProcessingMode.o: ProcessingMode.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h

SchemeParser.o: SchemeParser.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h

Style.o: Style.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
