=== debian/changelog ===
serna-free (0.svn270-3ubuntu1) maverick; urgency=low

  * Build-Depends on libqtassistantclient-dev instead of the no longer
    existing libqt4-assistant to fix FTBFS
  * Recommends qt-assistant-compat

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 26 Sep 2010 04:41:53 +0200

serna-free (0.svn270-3) unstable; urgency=low

  * Add Build-Conflicts on qt3-dev-tools, to avoid FTBFS
  * Versioned dependency on docbook-xsl, for the
    /usr/share/xml/docbook/stylesheet/docbook-xsl location.
  * Closes: #569666: Build-dep on libqscintilla2-dev >= 2.4-5
  * Build a serna-dbg package 

 -- Joachim Breitner <nomeata@debian.org>  Sat, 06 Mar 2010 23:17:43 +0100

serna-free (0.svn270-2) unstable; urgency=low

  * Depend on python-sip-dev and use dh_sip 

 -- Joachim Breitner <nomeata@debian.org>  Sun, 07 Feb 2010 22:40:43 +0100

serna-free (0.svn270-1) unstable; urgency=low

  * New upstream release. 22 patches applied upstream!
  * Bump standards version, no change 

 -- Joachim Breitner <nomeata@debian.org>  Fri, 05 Feb 2010 19:22:38 +0100

serna-free (0.svn235-3) unstable; urgency=low

  * Package recommends fop now, thx to Mathieu Malaterre for suggesting this
    (Closes: #567162) 
  * Fix PDF publishing by not setting JAVA_PATH to a non-existant directory.
    (Closes: #567160)
  * Do not compress machine-readable files in /usr/share/doc/serna
  * Use assistant-qt4 instead of assistant 

 -- Joachim Breitner <nomeata@debian.org>  Thu, 28 Jan 2010 21:09:28 +0100

serna-free (0.svn235-2) unstable; urgency=low

  * Added dependencies on python-qt4 and python-sip (Closes: #566987)
  * Manually version dependency on python-sip (Closes: #566823)
  * Add VCS-* headers 

 -- Joachim Breitner <nomeata@debian.org>  Tue, 26 Jan 2010 22:00:21 +0100

serna-free (0.svn235-1) unstable; urgency=low

  * New upstream version
    + QtSingleApplication now treated as a 3rd party component
      Thus ship qtsingleapplication-2.6_1-opensource.tar.gz in debian/3rd
  * Removed convenience copy of docbook-xsl-1.68.1.tar.bz2 from self-created
    orig.tar.gz file (was already removed in my master branch)
  * Ship AUTHORS file

 -- Joachim Breitner <nomeata@debian.org>  Sun, 24 Jan 2010 00:24:44 +0100

serna-free (0.svn139-1) unstable; urgency=low

  * Initial release. (Closes: #535828)

 -- Joachim Breitner <nomeata@debian.org>  Sun, 10 Jan 2010 16:51:08 +0100
