=== debian/control ===
Source: serna-free
Section: text
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Joachim Breitner <nomeata@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 python,
 doxygen,
 xsltproc,
 bison,
 openjdk-6-jre,
 pkg-config,
 qt4-qmake,
 qt4-dev-tools,
 python-sip-dev,
 libqtassistantclient-dev,
 libx11-dev,
 x11proto-core-dev,
 libfreetype6-dev,
 libxft-dev,
 libxinerama-dev,
 libxmu-dev,
 libxml2-dev,
 libxslt1-dev,
 libqt4-dev,
 libqscintilla2-dev (>= 2.4-5),
 python-qt4-dev,
 pyqt4-dev-tools,
 libaspell-dev,
 docbook-xsl (>= 1.75.2+dfsg-5),
Build-Conflicts:
 qt3-dev-tools
Standards-Version: 3.8.4
Homepage: http://www.syntext.com/products/serna-free/
VCS-Git: git://git.nomeata.de/serna.git
VCS-Browser: http://git.nomeata.de/?p=serna.git

Package: serna
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${perl:Depends},
 ${python:Depends},
 xsltproc,
 docbook-xsl (>= 1.75.2+dfsg-5),
 python-qt4,
 ${sip:Depends},
Recommends:
 fop, qt-assistant-compat
Description: Graphical XML editor
 Serna Free Open Source XML editor is an easy-to-use visual XML
 application which requires virtually no technical experience from
 technical writers to author XML documents.
 . 
 Serna Free Open Source XML editor hides all the complexities of the
 underlying XML technology.
 .
 Serna Free XML editor employs XSLT and XSL-FO to render XML documents
 in print-like appearance for fast and easy authoring.

Package: serna-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
    serna (= ${binary:Version}),
    ${misc:Depends}
Description: debugging symbols for serna
 Serna Free Open Source XML editor is an easy-to-use visual XML
 application which requires virtually no technical experience from
 technical writers to author XML documents.
 .
 This package contains the debugging symbols for serna.
