=== debian/changelog ===
serna-free (0.svn288-1ubuntu2) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Dec 2010 16:56:37 +0000

serna-free (0.svn288-1ubuntu1) natty; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Build-Depends on libqtassistantclient-dev instead of the no longer
      existing libqt4-assistant to fix FTBFS
    - Recommends qt-assistant-compat

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 20 Oct 2010 22:16:40 +0200

serna-free (0.svn288-1) unstable; urgency=low

  * New upstream release, 1 patch applied upstream.
  * Do not hide build output
  * Rebuilding removes dependencies on python2.5 

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Sep 2010 13:55:59 +0200
