=== debian/control ===
--- 
+++ 
@@ -48,7 +48,8 @@
  python-qt4,
  ${sip:Depends},
 Recommends:
- fop, qt-assistant-compat
+ fop,
+ qt-assistant-compat
 Description: Graphical XML editor
  Serna Free Open Source XML editor is an easy-to-use visual XML
  application which requires virtually no technical experience from
