## serna-free 4.3.0.20110221

=== debian/changelog ===
serna-free (4.3.0.20110221-7) unstable; urgency=low

  * Transition to dh_python2. Really Closes: #642567
  * Bump Standard-Version to 3.9.2. No changes needed
  * Fix a lintian warning (configure-generated-file-in-source)
  * Fix clean rule for python 2.7.2

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Wed, 02 Nov 2011 16:48:12 +0100

serna-free (4.3.0.20110221-6) unstable; urgency=low

  * Fix compilation with python 2.7.2. Closes: #640948
  * B-D on python-support. Closes: #642567
  * Fix bashism report, explicitely use bash. Closes: #581136
  * Rebuild package for transition to libqscintilla2-6. Closes: #640948

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sun, 30 Oct 2011 11:05:36 +0100

serna-free (4.3.0.20110221-5) unstable; urgency=low

  * Change Standard-Version to 3.9.2 (no change needed)
  * Change openjdk-jre into default-jre for kfreebsd-*

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Thu, 02 Jun 2011 18:51:18 +0200

serna-free (4.3.0.20110221-4) unstable; urgency=low

  * include <stddef> (Closes: #625004)

 -- Joachim Breitner <nomeata@debian.org>  Wed, 25 May 2011 11:22:32 +0200

serna-free (4.3.0.20110221-3) unstable; urgency=low

  * Add new patch for non-x86 platform and integer size
  * Provide a compilation fix for gcc 4.5. Closes: #618995

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sun, 10 Apr 2011 19:09:31 +0200

serna-free (4.3.0.20110221-2) unstable; urgency=low

  * Add B-D to libqtassistantclient-dev. Closes: #618204

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Thu, 17 Mar 2011 14:42:29 +0100

serna-free (4.3.0.20110221-1) unstable; urgency=low

  * New upstream relese (Closes: #613981)
  * Adding myself to Uploader
  * Using new VCS: hg (bitbucket.org/syntext)
  * Add new get-orig-source target

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Mon, 21 Feb 2011 13:59:42 +0100
