=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh $@
+	dh $@ --with python2
 
 override_dh_auto_configure:
 	# We do all in build. Why not?
@@ -74,7 +74,7 @@
 		3rd/jdk/1.6.0/Makefile \
 		3rd/libxml/2.6.27/Makefile \
 		3rd/pyqt/4.5.4/Makefile \
-		3rd/python/2.6.2/Makefile \
+		3rd/python/2.7.2/Makefile \
 		3rd/qscintilla/2.4/Makefile \
 		3rd/qt/4.5.3/Makefile \
 		3rd/qtpropertybrowser/2.5/Makefile \
@@ -95,6 +95,8 @@
 	rm -f 3rd/qtpropertybrowser/configure.log 3rd/qtpropertybrowser/include
 	rm -f serna/dist/bin/xsltproc
 	rm -f serna/dist/doc-dita/version.xml
+	# reported by lintian:
+	rm -f 3rd/jade/config.cache 3rd/jade/config.log 3rd/jade/config.status
 
 override_dh_makeshlibs:
 	# We do not have any public shared libraries
@@ -106,3 +108,6 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=serna-dbg
+
+get-orig-source:
+	./debian/get-orig-source.sh
